//
//  NSTouchbar.h
//  Underbar
//
//  Created by Shadowfacts on 7/13/19.
//  Copyright © 2019 Shadowfacts. All rights reserved.
//

#import <AppKit/AppKit.h>

extern void DFRElementSetControlStripPresenceForIdentifier(_Nonnull NSTouchBarItemIdentifier, BOOL);
extern void DFRSystemModalShowsCloseBoxWhenFrontMost(BOOL);

@interface NSTouchBarItem ()

+ (void)addSystemTrayItem:(nonnull NSTouchBarItem *)item;

@end

@interface NSTouchBar ()

+ (void)presentSystemModalTouchBar:(nonnull NSTouchBar *)touchBar placement:(long long)placement systemTrayItemIdentifier:(nonnull NSTouchBarItemIdentifier)identifier NS_AVAILABLE_MAC(10.14);
+ (void)minimizeSystemModalTouchBar:(nonnull NSTouchBar *)touchBar NS_AVAILABLE_MAC(10.14);

@end
